#ifndef _LANG_H_
#define _LANG_H_

	#include <avr/pgmspace.h>
	#include "global.h"

	typedef enum {
		English,
		Deutsch,
	} SupportedLanguages;
	
	typedef enum {
		txt_Sprache,                // 0
		txt_Version,
		txt_Einstellungen,
		txt_Aendern,
		txt_Start,
		txt_Akkutyp,
		txt_Zellenzahl,
		txt_Entladestrom,
		txt_Schlussspannung,
		txt_Speicherintervall,
		txt_Language,               // 10
		txt_Zurueck,
		txt_NiCd,
		txt_NiMH,
		txt_Pb,
		txt_mA,
		txt_mV,
		txt_s,
		txt_aus,
		txt_Werkseinstellungen,
		txt_Entladen,               // 20
		txt_Energie,
		txt_Kapazitaet,
		txt_Spannung,
		txt_Strom,
		txt_Temperatur,
		txt_Beenden,
		txt_GradCelsius,
		txt_mAh,
		txt_mWh,
		txt_Entladezeit,            // 30
		txt_Kapazitate_Log,
		txt_SdKarteFehler,
		txt_weiter,
		txt_LoggenIstDeaktiviert,
		txt_Fertig,
		txt_mAs,
		txt_mWs,
		txt_Ueberhitzung,
		txt_Dateiname,
		txt_LiIon,                  // 40
		txt_Kalibrierung,
		txt_KlemmenAn5V,
		txt_SollIstKorr,
		txt_RiMessen,
		txt_Abbrechen,
		txt_Speichern,
		txt_AkkuEntladen,
		txt_Betriebswahl,
		txt_Messintervall,
		txt_MaximalerRi,			// 50
		txt_MittlererRi,
		txt_mOhm,
		txt_Ohm,
	} Text;

	extern PGM_P LangTable[][2] PROGMEM;


	void				CopyLang		( char *buf, unsigned char num );

	void				SetLanguage		( SupportedLanguages lng );

	SupportedLanguages	GetLanguage		( void );

#endif
