/*********
 tasten.c
**********/


//***********
//* Includes
//***********
#include "tasten.h"



/**
* \brief
* Liest den Zustand der Tasten ein
* \version
* 1.0 Erste Version
*/
void TasteEinlesen(void)
{
	// Taster einlesn
	if (!(TASTER_PIN & (1 << TASTER_PINNR)))
	{
		// Taste gedrckt
		TasteOK.Counter++;

		if (TasteOK.Counter > 50)
		{
			TasteOK.Kurz = TRUE;
			TasteOK.Counter = 201;
		}
	}
	else
	{
		// Taste nicht gedrckt
		TasteOK.Counter = 0;
	}
}


/**
* \brief
* Entprellt die OK Taste
* \version
* 1.0 Erste Version
*/
void OKEntprellen(void)
{
	while (!(TASTER_PIN & (1 << TASTER_PINNR)))
	{
		;
	}
	
	_delay_ms(100);
}
