/*******
 lang.c
********/
#include "lang.h"


//************
//* Variabeln
//************
SupportedLanguages ActualLang = English;


//**********
//* Strings
//**********
char DE_0[] PROGMEM = "Deutsch";
char EN_0[] PROGMEM = "English";

char DE_1[] PROGMEM = "Version";
char EN_1[] PROGMEM = "Version";

char DE_2[] PROGMEM = "Einstellungen";
char EN_2[] PROGMEM = "Settings";

char DE_3[] PROGMEM = "|ndern"; 			// ndern
char EN_3[] PROGMEM = "change";

char DE_4[] PROGMEM = "start";
char EN_4[] PROGMEM = "start";

char DE_5[] PROGMEM = "Akkutyp";
char EN_5[] PROGMEM = "Accutype";

char DE_6[] PROGMEM = "Zellenzahl";
char EN_6[] PROGMEM = "Cell quantity";

char DE_7[] PROGMEM = "Entladestrom";
char EN_7[] PROGMEM = "Disch. current";

char DE_8[] PROGMEM = "Schlussspannung";
char EN_8[] PROGMEM = "Final volatage";

char DE_9[] PROGMEM = "Speicherintervall";
char EN_9[] PROGMEM = "Save interval";

char ALL_10[] PROGMEM = "Language";

char DE_11[] PROGMEM = "zur~ck"; 			// zurck
char EN_11[] PROGMEM = "back";

char ALL_12[] PROGMEM = "NiCd";

char ALL_13[] PROGMEM = "NiMH";

char ALL_14[] PROGMEM = "Pb";

char ALL_15[] PROGMEM = " mA";

char ALL_16[] PROGMEM = " mV";

char ALL_17[] PROGMEM = " s";

char DE_18[] PROGMEM = "aus";
char EN_18[] PROGMEM = "off";

char DE_19[] PROGMEM = "Werkseinstellung";
char EN_19[] PROGMEM = "Load default";

char DE_20[] PROGMEM = "Entladen";
char EN_20[] PROGMEM = "Discharge";

char DE_21[] PROGMEM = "Energie";
char EN_21[] PROGMEM = "Energy";

char DE_22[] PROGMEM = "Kapazit|t"; 		// fr Men mit "|" anstelle von ""
char EN_22[] PROGMEM = "Capacity";

char DE_23[] PROGMEM = "Spannung";
char EN_23[] PROGMEM = "Voltage";

char DE_24[] PROGMEM = "Strom";
char EN_24[] PROGMEM = "Current";

char DE_25[] PROGMEM = "Temperatur";
char EN_25[] PROGMEM = "Temperatur";

char DE_26[] PROGMEM = "beenden";
char EN_26[] PROGMEM = "exit";

char ALL_27[] PROGMEM = " {C"; 				// C

char ALL_28[] PROGMEM = " mAh";

char ALL_29[] PROGMEM = " mWh";

char DE_30[] PROGMEM = "Entladezeit";
char EN_30[] PROGMEM = "Discharging time";

char DE_31[] PROGMEM = "Kapazitt";			// fr Log mit ""
char EN_31[] PROGMEM = "Capacity";

char DE_32[] PROGMEM = "SD-Karte Fehler";
char EN_32[] PROGMEM = "SD-Card Error";

char DE_33[] PROGMEM = "weiter";
char EN_33[] PROGMEM = "continue";

char DE_34[] PROGMEM = "Loggen ist deaktiviert";
char EN_34[] PROGMEM = "Logging is disabled";

char DE_35[] PROGMEM = "Fertig";
char EN_35[] PROGMEM = "Finish";

char ALL_36[] PROGMEM = " mAs";

char ALL_37[] PROGMEM = " mWs";

char DE_38[] PROGMEM = "~berhitzung";		// berhitzung
char EN_38[] PROGMEM = "over heat";

char DE_39[] PROGMEM = "Dateiname";
char EN_39[] PROGMEM = "Filename";

char ALL_40[] PROGMEM = "Li-Ion";

char DE_41[] PROGMEM = "Kalibrierung";
char EN_41[] PROGMEM = "Calibration";

char DE_42[] PROGMEM = "Klemme an 5V";
char EN_42[] PROGMEM = "Set Terminal on 5V";

char DE_43[] PROGMEM = "Soll/Ist/Korr.";
char EN_43[] PROGMEM = "Should/Actual/Corr.";

char DE_44[] PROGMEM = "RI messen";
char EN_44[] PROGMEM = "Measure RI";

char DE_45[] PROGMEM = "abbrechen";
char EN_45[] PROGMEM = "cancel";

char DE_46[] PROGMEM = "speichern";
char EN_46[] PROGMEM = "save";

char DE_47[] PROGMEM = "Akku Entladen";
char EN_47[] PROGMEM = "Discharge Accu";

char DE_48[] PROGMEM = "Betriebswahl";
char EN_48[] PROGMEM = "Operating Mode";

char DE_49[] PROGMEM = "Messintervall";
char EN_49[] PROGMEM = "Measure Interval";

char DE_50[] PROGMEM = "maximaler Ri";
char EN_50[] PROGMEM = "maximum Ri";

char DE_51[] PROGMEM = "mittlerer Ri";
char EN_51[] PROGMEM = "average Ri";

char ALL_52[] PROGMEM = {'m', 0x7f,'\0'};

char ALL_53[] PROGMEM = {0x7f, '\0'};


//****************
//* Pintertabelle
//****************
PGM_P LangTable[][2] PROGMEM =
{
	{DE_0, EN_0},
	{DE_1, EN_1},
	{DE_2, EN_2},
	{DE_3, EN_3},
	{DE_4, EN_4},
	{DE_5, EN_5},
	{DE_6, EN_6},
	{DE_7, EN_7},
	{DE_8, EN_8},
	{DE_9, EN_9},
	{ALL_10, ALL_10},
	{DE_11, EN_11},
	{ALL_12, ALL_12},
	{ALL_13, ALL_13},
	{ALL_14, ALL_14},
	{ALL_15, ALL_15},
	{ALL_16, ALL_16},
	{ALL_17, ALL_17},
	{DE_18, EN_18},
	{DE_19, EN_19},
	{DE_20, EN_20},
	{DE_21, EN_21},
	{DE_22, EN_22},
	{DE_23, EN_23},
	{DE_24, EN_24},
	{DE_25, EN_25},
	{DE_26, EN_26},
	{ALL_27, ALL_27},
	{ALL_28, ALL_28},
	{ALL_29, ALL_29},
	{DE_30, EN_30},
	{DE_31, EN_31},
	{DE_32, EN_32},
	{DE_33, EN_33},
	{DE_34, EN_34},
	{DE_35, EN_35},
	{ALL_36, ALL_36},
	{ALL_37, ALL_37},
	{DE_38, EN_38},
	{DE_39, EN_39},
	{ALL_40, ALL_40},
	{DE_41, EN_41},
	{DE_42, EN_42},
	{DE_43, EN_43},
	{DE_44, EN_44},
	{DE_45, EN_45},
	{DE_46, EN_46},
	{DE_47, EN_47},
	{DE_48, EN_48},
	{DE_49, EN_49},
	{DE_50, EN_50},
	{DE_51, EN_51},
	{ALL_52, ALL_52},
	{ALL_53, ALL_53},
};


//*************
//* Funktionen
//*************
void CopyLang ( char *buf, unsigned char num ) {
	strcpy_P(buf, (const char*) pgm_read_word(&(LangTable[num][ActualLang])));
}

void SetLanguage ( SupportedLanguages lng ) {
	ActualLang = lng;
}

SupportedLanguages GetLanguage ( void ) {
	return ActualLang;
}
