/**
* \file tasten.h
* \brief In dieser Datei sind Funktionen zum einlesn und Handling der Tasten
* \version 
* v. 1.0 Erste Version
* \date
* Create: 01.03.2008 <br>
* Modify: 09.08.2008
* \author Philipp Kaelin 
*/

#ifndef TASTEN_H
	#define TASTEN_H

	//***********
	//* Includes
	//***********
	#include <avr/io.h>
	#include <util/delay.h>
	#include "global.h"


	//************************
	//* Function Declarations
	//************************

	// Tasten einlesen
	void TasteEinlesen(void);
	
	// Taste OK entprellen
	void OKEntprellen(void);

	//**********
	//* Defines
	//**********
	#define TASTER_DDR		DDRB
	#define TASTER_PORT		PORTB
	#define TASTER_PIN		PINB
	#define TASTER_PINNR	PB0
#endif

